Loading...
Searching...
No Matches
Opm::BlackoilModelNldd< TypeTag > Class Template Reference

A NLDD implementation for three-phase black oil. More...

`#include <BlackoilModelNldd.hpp>`

## Public Types

using | ElementContext = GetPropType<TypeTag, Properties::ElementContext>
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | Grid = GetPropType<TypeTag, Properties::Grid>
using | Indices = GetPropType<TypeTag, Properties::Indices>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | ModelParameters = BlackoilModelParameters<Scalar>
using | SolutionVector = GetPropType<TypeTag, Properties::SolutionVector>
using | BVector = typename BlackoilModel<TypeTag>::BVector
using | Domain = SubDomain<Grid>
using | ISTLSolverType = ISTLSolver<TypeTag>
using | Mat = typename BlackoilModel<TypeTag>::Mat

## Public Member Functions

| BlackoilModelNldd (BlackoilModel< TypeTag > &model)
| The constructor sets up the subdomains.
void | prepareStep ()
| Called before starting a time step.
template<class NonlinearSolverType>
SimulatorReportSingle | nonlinearIterationNldd (const int iteration, const SimulatorTimerInterface &timer, NonlinearSolverType &nonlinear_solver)
| Do one non-linear NLDD iteration.
const SimulatorReport & | localAccumulatedReports () const
| return the statistics of local solves accumulated for this rank
const std::vector< SimulatorReport > & | domainAccumulatedReports () const
| return the statistics of local solves accumulated for each domain on this rank
void | writePartitions (const std::filesystem::path &odir) const
| Write the partition vector to a file in ResInsight compatible format for inspection and a partition file for each rank, that can be used as input for OPM.
void | writeNonlinearIterationsPerCell (const std::filesystem::path &odir) const
| Write the number of nonlinear iterations per cell to a file in ResInsight compatible format.

## Static Public Attributes

static constexpr int | numEq = Indices::numEq

## Detailed Description

template<class TypeTag>
class Opm::BlackoilModelNldd< TypeTag >

A NLDD implementation for three-phase black oil.

## Constructor & Destructor Documentation

## BlackoilModelNldd()

template<class TypeTag>

Opm::BlackoilModelNldd< TypeTag >::BlackoilModelNldd | ( | BlackoilModel< TypeTag > & | model | ) |

inline explicit

The constructor sets up the subdomains.

Parameters

  model | BlackOil model to solve for
  param | param Model parameters
  compNames | Names of the solution components

The documentation for this class was generated from the following file:

- opm/simulators/flow/BlackoilModelNldd.hpp